Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class LinePattern

    Object
      CodeList<E>
          SimpleEnumerationType<LinePattern>
              LinePattern

All Implemented Interfaces:
  Serializable, Comparable<LinePattern>

Direct Known Subclasses:
  DashArray

    public class LinePattern

extends SimpleEnumerationType<LinePattern>

Indicate the various enumerations of drawing a patterned line. This class defines static constants for all of the standard choices.

An implementation is not required to implement the entire list of available line patterns. At runtime, the list of implemented line patterns can be retrieved from a `DisplayCapabilities` object (that was itself retrieved from a `Canvas`). An implementation may also implement other line patterns not listed here by creating instances of a `DashArray`.

See Also:
  Serialized Form

Field Summary
`static LinePattern` | `DASHED` The line should be drawn dashed.
`static LinePattern` | `DOT_DASHED` The line should be drawn dot dashed.
`static LinePattern` | `DOTTED` The line should be drawn dotted.
`static LinePattern` | `LONG_DASHED` The line should be drawn long dashed.
`static LinePattern` | `LONG_DOT_DASHED` The line should be drawn long dot dashed.
`static LinePattern` | `NONE` The line should be drawn with no pattern.

Constructor Summary
`protected` | `LinePattern(String name, String description)` Creates a code list with the specified name.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static LinePattern[]` | `values()` Returns the list of `LinePattern`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final LinePattern NONE

  The line should be drawn with no pattern.

### DASHED

    public static final LinePattern DASHED

  The line should be drawn dashed.

### DOTTED

    public static final LinePattern DOTTED

  The line should be drawn dotted.

### DOT_DASHED

    public static final LinePattern DOT_DASHED

  The line should be drawn dot dashed.

### LONG_DASHED

    public static final LinePattern LONG_DASHED

  The line should be drawn long dashed.

### LONG_DOT_DASHED

    public static final LinePattern LONG_DOT_DASHED

  The line should be drawn long dot dashed.

Constructor Detail

### LinePattern

    protected LinePattern(String name,
                          String description)

  Creates a code list with the specified name.

Method Detail

### values

    public static LinePattern[] values()

  Returns the list of `LinePattern`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<LinePattern>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.